// creator  : weidu.exe (version 23600)
// argument : KENT.DLG
// game     : .
// source   : ./override/KENT.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~KENT~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #20529 /* ~You there... shhhhhh. Don't make too much noise. My name's Kent, and I want to talk to you.~ */
  IF ~~ THEN REPLY #20530 /* ~Another Flaming Fist! Get out of my way before I kill you.~ */ GOTO 1
  IF ~~ THEN REPLY #20532 /* ~What is it you want... Kent?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #20533 /* ~Idiots!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #20534 /* ~I remember the bunch of you from when you worked for Scar and Eltan. Well since you've been gone, things have gone downhill. Eltan's taken ill and he's resting in the room beside us. His healer Rashad keeps on saying that there's nothing he can do, but I know better. He's no healer from what I've seen. Anyhow, it don't matter, I've decided to desert the Flaming Fist before things get too hairy. I don't want to lose my life over whatever power struggle is going on in the city.~ */
  IF ~~ THEN REPLY #20536 /* ~Thanks for the information, Kent. Maybe we'll see each other again.~ */ GOTO 3
  IF ~~ THEN REPLY #20537 /* ~Why don't you think Rashad's a healer?~ */ GOTO 4
  IF ~Global("X#SkieKent","GLOBAL",0)
InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SkieKent","GLOBAL",1)~ EXTERN ~SKIEJ~ 56
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #20539 /* ~All right, I'll see you later. Good luck.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #20540 /* ~I followed him one night, all the way into the sewers. There he went into the Undercellar. Why would a healer be found in a whorehouse? I don't know what he was doing there, but it wasn't good, whatever it was. I have to get going before my commander notices that I'm deserting. Perhaps we'll meet again.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #20542 /* ~Rashad, Eltan's healer, often visits the Undercellar, a seedy whorehouse accessible through the sewers of the city.~ */ EXIT
  IF ~Global("X#GarKent","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarKent","GLOBAL",1)~ EXTERN ~GARRIJ~ 76
END

IF ~~ THEN BEGIN 5 // from: GARRIJ:77.1 GARRIJ:76.1
  SAY #46770 /* ~Well met, friends. I hope you can get to the bottom of this – for all our sakes.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #20542 /* ~Rashad, Eltan's healer, often visits the Undercellar, a seedy whorehouse accessible through the sewers of the city.~ */ EXIT
END
